## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

### API Endpoint

GET

`https://api-sandbox.dwolla.com/accounts/{id}`

### cURL

```cURL
GET https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### Code Examples

#### Using `dwolla-v2` (Node.js)
```javascript
var accountUrl = "https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b";

dwolla.get(accountUrl).then((res) => res.body.name); // => 'Jane Doe'
```

#### Using `dwollav2` (Python)
```python
account_url = 'https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b'

account = app_token.get(account_url)
account.body['name']
```

#### Using `dwollaswagger` (PHP)
```php
$accountUrl = 'https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b';

$accountsApi = new DwollaSwagger\AccountsApi($apiClient);

$account = $accountsApi->id($accountUrl);
print($account->name); # => "Jane Doe"
```

#### Using `dwolla_v2` (Ruby)
```ruby
account_url = 'https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b'

account = app_token.get account_url
account.name # => "Jane Doe"
```

### Response Codes

- 200: Successful operation
- 403: Forbidden
- 404: Not Found

### Sample Responses

#### Successful Response
```
{
  "_links": {},
  "id": "2e21f010-3023-4891-aced-ed726d7cd5e1",
  "name": "Jane Doe's Business",
  "timezoneOffset": -6,
  "type": "Commercial"
}
```

#### Error Responses

**Forbidden**
```
{
  "code": "forbidden",
  "message": "Not authorized to retrieve an Account by id."
}
```

**Not Found**
```
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

### Authorizations

- **Authorization**: string, header, required

The access token received from the authorization server in the OAuth 2.0 flow.

### Required Headers

- **Accept**: enum<string>  
  Default: `application/vnd.dwolla.v1.hal+json`
  Required: The media type of the response. Must be `application/vnd.dwolla.v1.hal+json`.

### Path Parameters

- **id**: string, required 
  Account's unique identifier.
